List tokens in bulk
curl --request POST \
--url https://databunkerpro.myorg.com/v2/BulkListTokens \
--header 'Content-Type: application/json' \
--header 'X-Bunker-Token: <api-key>' \
--data '
{
"unlockuuid": "<string>",
"tokens": [
"<string>"
],
"request_metadata": {}
}
'import requests
url = "https://databunkerpro.myorg.com/v2/BulkListTokens"
payload = {
"unlockuuid": "<string>",
"tokens": ["<string>"],
"request_metadata": {}
}
headers = {
"X-Bunker-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Bunker-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({unlockuuid: '<string>', tokens: ['<string>'], request_metadata: {}})
};
fetch('https://databunkerpro.myorg.com/v2/BulkListTokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"rows": [
{
"tokenuuid": "<string>",
"tokenbase": "<string>",
"record": "<string>",
"tokentype": "<string>"
}
]
}{
"status": "error",
"message": "Missing API request parameters: profile"
}{
"status": "error",
"message": "Access denied"
}{
"status": "error",
"message": "Internal error"
}Bulk Operations
List tokens in bulk
Lists tokens using the bulk unlock mechanism
POST
/
v2
/
BulkListTokens
List tokens in bulk
Authorizations
API token for authentication
Body
application/json
⌘I